<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>Serialized Form (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<section role="region">
<h2 title="Package">Package&nbsp;cern.dip</h2>
<ul class="blockList">
<li class="blockList"><a id="cern.dip.BadParameter">
<!--   -->
</a>
<h3>Class <a href="cern/dip/BadParameter.html" title="class in cern.dip">cern.dip.BadParameter</a> extends <a href="cern/dip/DipException.html" title="class in cern.dip">DipException</a> implements Serializable</h3>
</li>
<li class="blockList"><a id="cern.dip.DipException">
<!--   -->
</a>
<h3>Class <a href="cern/dip/DipException.html" title="class in cern.dip">cern.dip.DipException</a> extends java.lang.Exception implements Serializable</h3>
</li>
<li class="blockList"><a id="cern.dip.DipInternalError">
<!--   -->
</a>
<h3>Class <a href="cern/dip/DipInternalError.html" title="class in cern.dip">cern.dip.DipInternalError</a> extends java.lang.Error implements Serializable</h3>
</li>
<li class="blockList"><a id="cern.dip.DipTimestamp">
<!--   -->
</a>
<h3>Class <a href="cern/dip/DipTimestamp.html" title="class in cern.dip">cern.dip.DipTimestamp</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>2325296406482833040L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>timeNanoseconds</h4>
<pre>long timeNanoseconds</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="cern.dip.TypeMismatch">
<!--   -->
</a>
<h3>Class <a href="cern/dip/TypeMismatch.html" title="class in cern.dip">cern.dip.TypeMismatch</a> extends <a href="cern/dip/DipException.html" title="class in cern.dip">DipException</a> implements Serializable</h3>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section role="region">
<h2 title="Package">Package&nbsp;cern.dip.implementation</h2>
<ul class="blockList">
<li class="blockList"><a id="cern.dip.implementation.DipDataImp">
<!--   -->
</a>
<h3>Class <a href="cern/dip/implementation/DipDataImp.html" title="class in cern.dip.implementation">cern.dip.implementation.DipDataImp</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>4385171416542270062L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>dipQuality</h4>
<pre><a href="cern/dip/DipQualityEnum.html" title="enum in cern.dip">DipQualityEnum</a> dipQuality</pre>
</li>
<li class="blockList">
<h4>dipTimestamp</h4>
<pre><a href="cern/dip/DipTimestamp.html" title="class in cern.dip">DipTimestamp</a> dipTimestamp</pre>
</li>
<li class="blockList">
<h4>fields</h4>
<pre>java.util.HashMap&lt;java.lang.String,&#8203;java.lang.Object&gt; fields</pre>
</li>
<li class="blockListLast">
<h4>reasonForQuality</h4>
<pre>java.lang.String reasonForQuality</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section role="region">
<h2 title="Package">Package&nbsp;cern.dip.mock</h2>
<ul class="blockList">
<li class="blockList"><a id="cern.dip.mock.MockDipData">
<!--   -->
</a>
<h3>Class <a href="cern/dip/mock/MockDipData.html" title="class in cern.dip.mock">cern.dip.mock.MockDipData</a> extends <a href="cern/dip/implementation/DipDataImp.html" title="class in cern.dip.implementation">DipDataImp</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-8094830410416552628L</dd>
</dl>
</li>
</ul>
</section>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
